Bug 166492 - Review request: perl-Cache-Simple-TimedExpiry - Cache::Simple::TimedExpiry Perl module
Review request: perl-Cache-Simple-TimedExpiry - Cache::Simple::TimedExpiry Pe...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
http://search.cpan.org/dist/Cache-Sim...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-22 10:40 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 12:05:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-22 10:40:13 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Cache-Simple-TimedExpiry.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Cache-Simple-TimedExpiry-0.23-1.src.rpm

Description:
A lightweight cache with timed expiration
Comment 1 Jose Pedro Oliveira 2005-08-26 07:42:12 EDT
MD5SUMS:
7dbe43ec53dcdb4496fcd5cf17e975ed  perl-Cache-Simple-TimedExpiry-0.23-1.src.rpm

35cb46fc96272591db75491c9250a48d  Cache-Simple-TimedExpiry-0.23.tar.gz
048f45dfcbb83a542cafec61efc289a9  perl-Cache-Simple-TimedExpiry.spec

Sources:
* Cache-Simple-TimedExpiry-0.23.tar.gz: MD5 digest verified against CPAN tarball

Good:
* Package name follows standard
* URL is valid
* License verified (Makefile.PL and main URL)
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions OK
* Builds without problems in FC-3 and FC-4
* No entries in
  http://rt.cpan.org/NoAuth/Bugs.html?Dist=Cache-Simple-TimedExpiry

NeedsWork:
* Source0 should be an URL
  Examples:
  http://www.cpan.org/authors/id/J/JE/JESSE/Cache-Simple-TimedExpiry-0.23.tar.gz
 
http://www.cpan.org/authors/id/J/JE/JESSE/Cache-Simple-TimedExpiry-%{version}.tar.gz

Other notes and nitpicks:
* change the summary to
  "A lightweight cache with timed expiration"
  Source: YAML file
* add the Changes file to %doc list
* insert a blank line before the %changelog section
* remove duplicate entry in changelog
  "* Tue Mar 22 2005 Ralf Corsepius <ralf@links2linux.de> - 0.23-0.pm.2"
Comment 2 Ralf Corsepius 2005-08-26 08:21:06 EDT
(In reply to comment #1)
>
> * Source0 should be an URL
>http://www.cpan.org/authors/id/J/JE/JESSE/Cache-Simple-TimedExpiry-%{version}.tar.gz
Grumble, how could this slip through ?
 
> Other notes and nitpicks:
> * change the summary to
>   "A lightweight cache with timed expiration"
>   Source: YAML file
cf. %description

> * add the Changes file to %doc list
> * insert a blank line before the %changelog section
> * remove duplicate entry in changelog
>   "* Tue Mar 22 2005 Ralf Corsepius <ralf@links2linux.de> - 0.23-0.pm.2"
Apparently it had not been my day when submitting this srpm :(

Update srpm with your comments reflected to appear soon at:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Cache-Simple-TimedExpiry.spec
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Cache-Simple-TimedExpiry-0.23-2.src.rpm
Comment 3 Jose Pedro Oliveira 2005-08-26 08:41:10 EDT
MD5SUMS:
091092037545543f6a302b512c40ba32  perl-Cache-Simple-TimedExpiry-0.23-2.src.rpm

35cb46fc96272591db75491c9250a48d  Cache-Simple-TimedExpiry-0.23.tar.gz
fcd0e595d0cf61198524cbd3bdfa61bf  perl-Cache-Simple-TimedExpiry.spec

APPROVED.

Note You need to log in before you can comment on or make changes to this bug.